Subject: bug#60190: 29.0.50; Improve `Info-goto-node-web'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Dec 2022 16:02:13 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 19 Dec 2022 22:44:41 -0600
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'm not against the table, I'm saying that for the manuals that come
> > with Emacs we don't need any entries in the table.  IOW, the table
> > could be provided, but only for extensions by users, if they want to
> > extend this to manuals which don't come as part of the Emacs
> > distribution.
> 
> I think we should include a list of built-in manuals, so that we only
> send users to known-good places, and tell them otherwise.  The drawback
> is that we need to remember to update the list when we add a new manual.

There's no need to maintain a list, we can produce it at build time by
looking at the DIR file we produce in the info subdirectory.  This
would solve the maintenance problem cleanly and easily.